UpdateAISastCustomerContext updates an entry from the request body.
PATCH
/
v1
/
namespaces
/
{object.tenant_meta.namespace}
/
ai-sast-customer-contexts
UpdateAISastCustomerContext updates an entry from the request body.
curl --request PATCH \
--url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/ai-sast-customer-contexts \
--header 'Content-Type: application/json' \
--data '
{
"object": {
"propagate": true,
"tenant_meta": {}
},
"request": {
"force": true,
"update_mask": "<string>"
}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/ai-sast-customer-contexts"
payload = {
"object": {
"propagate": True,
"tenant_meta": {}
},
"request": {
"force": True,
"update_mask": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
object: {propagate: true, tenant_meta: {}},
request: {force: true, update_mask: '<string>'}
})
};
fetch('https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/ai-sast-customer-contexts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"context": "<string>",
"disable": true,
"project_exceptions": [
"<string>"
],
"project_selector": [
"<string>"
]
},
"propagate": true,
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Body
application/json
Response
A successful response.
Customer-provided context scoped to projects using policy-style selectors.
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Customer-provided context payload.
Show child attributes
Show child attributes
Propagates system-level context settings to child namespaces when enabled.
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
Was this page helpful?
Troubleshooting
Previous
ListAISastCustomerContexts lists entries in a namespace; filter on parent fields for tenant or project scope.
Next
⌘I
UpdateAISastCustomerContext updates an entry from the request body.
